---
title: "Notification emails when pipelines are fixed"
author: Orit Golowinski 
author_gitlab: ogolowinski
author_twitter: Go_Orit
categories: unfiltered
image_title: '/images/blogimages/pipeline_success_unsplash.jpg'
description: "How to turn on/off Notifications for when pipelines are fixed"
tags: CI/CD
---

{::options parse_block_html="true" /}

<i class="fab fa-gitlab" style="color:rgb(107,79,187); font-size:.85em" aria-hidden="true"></i>&nbsp;&nbsp;
This blog post is [Unfiltered](/handbook/marketing/blog/unfiltered/#legal-disclaimer)
&nbsp;&nbsp;<i class="fab fa-gitlab" style="color:rgb(107,79,187); font-size:.85em" aria-hidden="true"></i>
{: .alert .alert-webcast}

GitLab can send users a notification when a pipeline fails so that they can respond to the failure quickly. Now, GitLab can also send a [notification to inform users when the pipeline has been fixed](https://gitlab.com/gitlab-org/gitlab/-/issues/24309). This new notification eliminates the need for developers to constantly monitor the status of pipeline builds. This lets developers make better use of their precious time.

We are gradually rolling out this feature in order to test it out. During this testing period, users will start getting notifications for fixed pipelines.

Example email:

![Sample email pipeline fixed](/images/blogimages/email_notification.png)

To disable the setting for a particular project only:

1. Go to the **Project overview** page for the project.
1. Click the **"bell"** (Notification setting) button and select **Custom**.
1. Uncheck the **Fixed pipeline** checkbox.

![Instructions for disabling notification](/images/blogimages/disable_notification.png)

To disable the notification for all projects:

1. In the top right, click your user icon and choose **Profile**.
1. In the top right of the next page, click the **"pencil"** (Edit Profile) button.
1. On the left, click Notifications.
1. Expand the **Global notification level** drop-down box, and select **Custom**.
1. Uncheck the Fixed pipeline checkbox.

![Instructions for disabling notification](/images/blogimages/check_fix_pipeline.png)

If our tests are successful, this feature will remain active and be enabled by default. If needed, you can disable these notifications if they are not useful for you.

Cover image by [Austin Distel](https://images.unsplash.com/photo-1563986768609-322da13575f3?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=1650&q=80) on [Unsplash](https://www.unsplash.com)
{: .note}
